Bug 13916 - dsdb_audit: avoid printing "... remote host [Unknown] SID [(NULL SID)] ..."
dsdb_audit: avoid printing "... remote host [Unknown] SID [(NULL SID)] ..."
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.10.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-26 14:36 UTC by Stefan Metzmacher
Modified: 2019-06-26 07:04 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.9 and 4.10 cherry-picked from master (1.62 KB, patch)
2019-06-11 10:32 UTC, Andrew Bartlett
abartlet: review? (gary)
gary: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2019-04-26 14:36:19 UTC
NULL SID not really useful, we better print "S-1-5-18"
Comment 1 Andrew Bartlett 2019-06-11 10:32:53 UTC
Created attachment 15241 [details]
patch for 4.9 and 4.10 cherry-picked from master
Comment 2 Andrew Bartlett 2019-06-12 04:40:09 UTC
Assigning to Karolin for inclusion in the next releases.
Comment 3 Karolin Seeger 2019-06-20 10:03:25 UTC
(In reply to Andrew Bartlett from comment #2)
Pushed to autobuild-v4-{9,10}-test.
Comment 4 Karolin Seeger 2019-06-26 07:04:56 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!